import request from '@/utils/request'

// 查询本人工位列表
export function getOrgList(data) {
  return request({
    url: '/admin-api/mes/app/org-worker/getOrgList',
    method: 'get',
    params:data
  })
}
// 查询他人工位列表
export function getOtherOrgList(data) {
  return request({
    url: '/admin-api/mes/app/org-worker/getOtherOrgList',
    method: 'get',
    params:data
  })
}
// 查询工人列表
export function getOtherPersonalUser(data) {
  return request({
    url: '/admin-api/mes/app/org-worker/getOtherPersonalUser',
    method: 'get',
    params:data
  })
}
// 查询正在开工的产品列表
export function getProductList() {
  return request({
    url: '/admin-api/mes/app/org-worker/getProductList',
    method: 'get'
  })
}
// 查询正在开工的计划列表及其对应工序的未完工情况
export function getPlanProductList(orgType) {
  return request({
    url: '/admin-api/mes/app/org-worker/getPlanProductList?orgType='+orgType,
    method: 'get'
  })
}
// 创建生产报工单
export function createReport(data) {
  return request({
    url: '/admin-api/mes/app/org-worker/createReport',
    method: 'post',
    data: data
  })
}